Class UmlBaseInitialPseudoState

Declaration :

- C++ : class UmlBaseInitialPseudoState : public UmlPseudoState
- Java : abstract class UmlBaseInitialPseudoState extends UmlPseudoState

Directly inherited by : UmlInitialPseudoState

Artifact : UmlBaseInitialPseudoState

Operation create

returns a new initial pseudo state created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem) : UmlInitialPseudoState, exceptions : RuntimeException
- C++ : public: static UmlInitialPseudoState * create(UmlItem * parent)
- Java : public static UmlInitialPseudoState create(UmlItem parent) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseInitialPseudoState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseInitialPseudoState(in id : item_id, in s : string) :
- C++ : protected: UmlBaseInitialPseudoState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseInitialPseudoState(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload